/// <reference types="jquery" />
/// <reference types="bootstrap-datepicker" />
import { AfterViewInit } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import 'bootstrap-datepicker';
export declare class NgqDatepickerComponent implements ControlValueAccessor, AfterViewInit {
    hideIcon: false;
    id: string;
    class: string;
    placeholder: string;
    input: any;
    _datepicker: JQuery;
    _date: Date;
    _isDisabled: boolean;
    constructor();
    propagateChange: (_: any) => void;
    onTouched: () => void;
    ngAfterViewInit(): void;
    writeValue(obj: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState?(isDisabled: boolean): void;
}
